<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

   <FrameLayout
       android:layout_width="match_parent"
       android:layout_height="@dimen/dp_0"
       android:layout_weight="0.55">
       <com.amap.api.maps.MapView
           android:layout_width="match_parent"
           android:layout_height="match_parent"
           android:id="@+id/mapView"/>

       <TextView
           android:id="@+id/tv_cancel"
           android:layout_width="wrap_content"
           android:layout_height="wrap_content"
           android:text="取消"
           android:textColor="@color/col_333"
           android:textSize="@dimen/sp_14"
           android:textStyle="bold"
           android:drawableLeft="@mipmap/ic_back_arrow"
           android:drawablePadding="@dimen/dp_5"
           android:layout_marginLeft="@dimen/dp_10"
           android:layout_marginTop="@dimen/dp_53"/>


       <com.ruffian.library.widget.RTextView
           android:id="@+id/tv_confirm"
           android:layout_width="@dimen/dp_44"
           android:layout_height="@dimen/dp_25"
           app:corner_radius="@dimen/dp_4"
           app:background_normal="@color/col_02c"
           android:text="确定"
           android:gravity="center"
           android:textColor="@color/white"
           android:textSize="@dimen/sp_12"
           android:layout_gravity="end"
           android:layout_marginRight="@dimen/dp_10"
           android:layout_marginTop="@dimen/dp_53"/>
   </FrameLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_0"
        android:layout_weight="0.45"
        android:orientation="vertical"
        android:background="@color/white"
        >

        <com.ruffian.library.widget.RRelativeLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_38"
            android:background="@color/col_6FA"
            android:layout_margin="@dimen/dp_10">

            <ImageView
                android:id="@+id/img_search"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@mipmap/ic_search"
                android:layout_centerVertical="true"
                android:layout_marginLeft="@dimen/dp_21"/>

            <EditText
                android:id="@+id/et_search"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="搜索地点"
                android:layout_toRightOf="@+id/img_search"
                android:layout_centerVertical="true"
                android:textColor="@color/col_313"
                android:background="@null"
                android:textColorHint="@color/col_C7C"
                android:imeOptions="actionSearch"
                android:singleLine="true"
                android:inputType="text"
                android:textSize="@dimen/sp_13"
                android:layout_marginLeft="@dimen/dp_7"/>

        </com.ruffian.library.widget.RRelativeLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/mRefresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:layout_marginLeft="@dimen/dp_9"
            android:layout_marginRight="@dimen/dp_13"
            app:srlAccentColor="@color/white">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:foregroundTint="@color/white"
            app:srlAccentColor="@color/black"
            app:srlPrimaryColor="@color/white" />
        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/dp_17"
            android:layout_marginRight="@dimen/dp_17"
            android:id="@+id/recycler"/>
            <com.scwang.smart.refresh.footer.ClassicsFooter
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </LinearLayout>


</LinearLayout>